Skip navigation

iOS7 update "requires" new iTunes, but I have the latest version?

407 Views 8 Replies Latest reply: Sep 23, 2013 5:17 AM by Mabikay RSS
Jim-TX-GA Calculating status...
Currently Being Moderated
Sep 18, 2013 5:36 PM

Attempting to update iPhone 4S to iOS 7 I get a message that a newer version if iTunes (11.0.5) is required.  That's the version I have!  Attempts to install it don't do anything.  Attempts to go ahead and get iOS7 keep bringing me back to the new iTunes is required pop-up.

 

Any suggestions?

iPhone 4S, iOS 6.1.4

Actions

More Like This

  • Retrieving data ...

Bookmarked By (0)

Legend

  • This solved my question - 10 points
  • This helped me - 5 points
This site contains user submitted content, comments and opinions and is for informational purposes only. Apple disclaims any and all liability for the acts, omissions and conduct of any third parties in connection with or related to your use of the site. All postings and use of the content on this site are subject to the Apple Support Communities Terms of Use.